Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ArrayOfOperations

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.ArrayOfOperations

public class ArrayOfOperations extends Object
A structure containing all the operations allowed within a MultiOpType

Java class for ArrayOfOperations complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ArrayOfOperations">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="unbounded">
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}getProperties"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}freebusyReport"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}calendarQuery"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}calendarMultiget"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}addItem"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}fetchItem"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}deleteItem"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}updateItem"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<BaseRequestType>`
  `getPropertiesOrFreebusyReportOrCalendarQuery`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayOfOperations()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BaseRequestType>`
  `getGetPropertiesOrFreebusyReportOrCalendarQuery()`
  Gets the value of the getPropertiesOrFreebusyReportOrCalendarQuery property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### getPropertiesOrFreebusyReportOrCalendarQuery

    protected List<BaseRequestType> getPropertiesOrFreebusyReportOrCalendarQuery

- ## Constructor Details

  - ### ArrayOfOperations

    public ArrayOfOperations()

- ## Method Details

  - ### getGetPropertiesOrFreebusyReportOrCalendarQuery

    public List<BaseRequestType> getGetPropertiesOrFreebusyReportOrCalendarQuery()
    Gets the value of the getPropertiesOrFreebusyReportOrCalendarQuery property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the getPropertiesOrFreebusyReportOrCalendarQuery property.

    For example, to add a new item, do as follows:

            getGetPropertiesOrFreebusyReportOrCalendarQuery().add(newItem);

    Objects of the following type(s) are allowed in the list `AddItemType` `CalendarMultigetType` `CalendarQueryType` `DeleteItemType` `FetchItemType` `FreebusyReportType` `GetPropertiesType` `UpdateItemType`